body {
    height: 100%;
    background: black;
    display: grid;
    place-items: center;
}

main {
    display: flex;
}
  
.line {
    height: 100px;
    padding: 0px 4px;
    transition: transform 0.2s;
    position: relative;

& > input {
    position: absolute;
    width: 0px;
    height: 0px;
    margin: 0px;
    padding: 0px;
}

&:has(> input:checked) {
    &:hover > div {
    width: 180px;
    }

    & > div {
    background: yellow;
    }
}

& > div {
    height: 100%;
    width: 2px;
    background: #222;
    transition: background 0.6s, width 0.2s;
}

&:hover {
    transform: scaleY(1.3);

    & > div {
    background: #eee !important;
    }
}

&:has(+ .line:hover),
&:hover + .line {
    transform: scaleY(1.2);

    & > div {
    background: #777;
    }
}

&:has(+ .line + .line:hover),
&:hover + .line + .line {
    transform: scaleY(1.05);

    & > div {
    background: #444;
    }
}
}
  